Bug 128176 - editors/openoffice.org-3 - 3.0.0 crash (macro security)
Summary: editors/openoffice.org-3 - 3.0.0 crash (macro security)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-17 12:20 UTC by hashiz
Modified: 2009-08-08 14:48 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hashiz 2008-10-17 12:20:00 UTC
	openoffice.org 3.0.0 crash with java error message.
        At opening 'macro security' dialog.

        Error Message

#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x2d5e9ee1, pid=53775, tid=0x8101100
#
# Java VM: Java HotSpot(TM) Client VM (1.6.0_03-p4-root_16_oct_2008_09_41-b00 mixed mode)
# Problematic frame:
# C  [libcrypto.so.5+0xe7ee1]  SHA1_Update+0x71
#
# Please submit bug reports to freebsd-java@FreeBSD.org
#

---------------  T H R E A D  ---------------

Current thread is native thread

siginfo:si_signo=11, si_errno=0, si_code=1, si_addr=0x646e3e6c

Registers:
EAX=0x0811e1f4, EBX=0x2d65602c, ECX=0x00000000, EDX=0x5c5c5c70
ESP=0xbfbfbd80, EBP=0xbfbfbda8, ESI=0x17171717, EDI=0x00000014
EIP=0x2d5e9ee1, EFLAGS=0x00210297

Top of Stack: (sp=0xbfbfbd80)
0xbfbfbd80:   2d502000 00000001 2804e8b8 28075c44
0xbfbfbd90:   08945400 2cfffc00 17171717 2d65602c
0xbfbfbda0:   0811e1f0 08947a50 bfbfbdc8 2d5d85bf
0xbfbfbdb0:   0811e1f4 08945400 00000014 0811e1f4
0xbfbfbdc0:   00200202 2cfffc00 bfbfbde8 2d59b47e
0xbfbfbdd0:   0811e1f4 08945400 00000014 00000014
0xbfbfbde0:   00200286 3cc03fc4 bfbfbe78 3cb921b9
0xbfbfbdf0:   0811e1f0 08945400 00000014 00000001 

Instructions: (pc=0x2d5e9ee1)
0x2d5e9ed1:   3f 89 75 f0 0f 86 58 01 00 00 8b 45 08 83 f9 01
0x2d5e9ee1:   8b 54 b0 1c 74 15 0f 83 d0 02 00 00 8b 4d e8 0f 

Stack: [0xbfa00000,0xbfc00000),  sp=0xbfbfbd80,  free space=2031k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
C  [libcrypto.so.5+0xe7ee1]  SHA1_Update+0x71
C  [libcrypto.so.5+0xd65bf]  EVP_DigestUpdate+0x1f
C  [libcrypto.so.5+0x9947e]  HMAC_Update+0x2e
C  [libsoftokn3.so+0x1a1b9]  nsspkcs5_ComputeKeyAndIV+0x3d9
C  [libsoftokn3.so+0x1a511]  nsspkcs5_CipherData+0x61
C  [libsoftokn3.so+0x16f6c]  nsslowkey_CheckKeyDBPassword+0x22c
C  [libsoftokn3.so+0x24db9]  pk11_hasNullPassword+0x59
C  [libsoftokn3.so+0x27e7f]  PK11_SlotInit+0x2ff
C  [libsoftokn3.so+0x2801b]  nsc_CommonInitialize+0x14b
C  [libsoftokn3.so+0x280a3]  NSC_Initialize+0x33
C  [libnss3.so+0x30dfc]  secmod_ModuleInit+0x7c
C  [libnss3.so+0x30fcf]  SECMOD_LoadPKCS11Module+0x15f
C  [libnss3.so+0x3309a]  SECMOD_LoadModule+0x1ca
C  [libnss3.so+0x330f7]  SECMOD_LoadModule+0x227
C  [libnss3.so+0x1d9f3]  PK11_ConfigurePKCS11+0x6c3
C  [libnss3.so+0x1de1b]  NSS_InitReadWrite+0x5b
C  [libxsec_xmlsec.so+0x23b5b]  _Z20nsscrypto_initializePKc+0x35
C  [libxsec_xmlsec.so+0x23f77]  _ZN21SEInitializer_NssImpl21createSecurityContextERKN3rtl8OUStringE+0x11d
C  [libxmlsecurity.so+0x1063f]  +0x29ef
C  [libxmlsecurity.so+0x2e66c]  +0x20a1c
C  [libcuifi.so+0x12e06c]  CreateDialogFactory+0xcb13c
C  [libvclfi.so+0x88d33]  _ZN9HelpEventC1ERK5Pointt+0x5c7
C  [libvclfi.so+0x21eedd]  _ZN7Control32ImplCallEventListenersAndHandlerEmRK4LinkPv+0x4f
C  [libvclfi.so+0x212e70]  _ZN6Button5ClickEv+0x28
C  [libvclfi.so+0x21a84b]  _ZN10PushButton8TrackingERK13TrackingEvent+0x16d
C  [libvclfi.so+0x20fdfb]  _ZN6Window11EndTrackingEt+0x123
C  [libvclfi.so+0x20c73c]  _ZN3vcl11LazyDeletorI6WindowED0Ev+0x2e06
C  [libvclfi.so+0x20dc32]  _ZN13TrackingEventC1ERK10MouseEventt+0x22a
C  [libvclfi.so+0x20cc79]  _ZN3vcl11LazyDeletorI6WindowED0Ev+0x3343
C  [libvclplug_gtkfi.so+0x39f87]  _ZN4cppu21getTypeFavourUnsignedIsEERKN3com3sun4star3uno4TypeEPKNS4_8SequenceIT_EE+0x120d1
C  [libvclplug_gtkfi.so+0x37277]  _ZN4cppu21getTypeFavourUnsignedIsEERKN3com3sun4star3uno4TypeEPKNS4_8SequenceIT_EE+0xf3c1
C  [libgtk-x11-2.0.so.0+0x14e4a4]  _gtk_marshal_BOOLEAN__BOXED+0x64
C  [libgobject-2.0.so.0+0x9129]  g_closure_invoke+0x129
C  [libgobject-2.0.so.0+0x1d843]  g_signal_handler_disconnect+0xf53
C  [libgobject-2.0.so.0+0x1f1eb]  g_signal_emit_valist+0x5fb
C  [libgobject-2.0.so.0+0x1f7e9]  g_signal_emit+0x29
C  [libgtk-x11-2.0.so.0+0x26b4c6]  gtk_widget_get_default_style+0x7c6
C  [libgtk-x11-2.0.so.0+0x147701]  gtk_propagate_event+0xc1
C  [libgtk-x11-2.0.so.0+0x148968]  gtk_main_do_event+0x2b8
C  [libgdk-x11-2.0.so.0+0x44c6a]  _gdk_events_init+0x13a
C  [libglib-2.0.so.0+0x361d6]  g_main_context_dispatch+0x176
C  [libglib-2.0.so.0+0x39572]  g_main_context_check+0x7e2
C  [libglib-2.0.so.0+0x39af5]  g_main_context_iteration+0x65
C  [libvclplug_gtkfi.so+0x16172]  +0x4b2
C  [libvclplug_genfi.so+0x503d7]  _ZN14X11SalInstance5YieldEbb+0x2f
C  [libvclfi.so+0x91286]  _ZN11Application5YieldEb+0x5e
C  [libvclfi.so+0x1a9622]  _ZN6Dialog7ExecuteEv+0x5c
C  [libcuifi.so+0xa7625]  CreateDialogFactory+0x446f5
C  [libcuifi.so+0x62f51]  CreateDialogFactory+0x21
C  [libsfxfi.so+0xa6b8a]  _ZN14SfxApplication12DeinitializeEv+0x2976
C  [libsfxfi.so+0x1bd279]  _ZN13SfxDispatcher6HideUIEh+0x3e3
C  [libsfxfi.so+0x1bb89a]  _ZN13SfxDispatcher7ExecuteERK14SfxExecuteItem+0x3c8
C  [libsfxfi.so+0x1bc3a4]  _ZN13SfxDispatcher7ExecuteEttP10SfxItemSetS1_t+0x178
C  [libsfxfi.so+0x1cfae5]  _ZNK13SvxSearchItem10QueryValueERN3com3sun4star3uno3AnyEh+0x33f9
C  [libsfxfi.so+0x1d0514]  _ZNK13SvxSearchItem10QueryValueERN3com3sun4star3uno3AnyEh+0x3e28
C  [libfwkfi.so+0xeba31]  +0xaf1c1
C  [libfwkfi.so+0xebad3]  +0xaf263
C  [libvclfi.so+0x88d33]  _ZN9HelpEventC1ERK5Pointt+0x5c7
C  [libvclfi.so+0x1be514]  _ZN4Menu6SelectEv+0x46
C  [libvclfi.so+0x1b8cc0]  _ZNK4Menu12GetCurItemIdEv+0x40
C  [libvclfi.so+0x88d33]  _ZN9HelpEventC1ERK5Pointt+0x5c7
C  [libvclfi.so+0x20d6dc]  _ZN3vcl11LazyDeletorI6WindowED0Ev+0x3da6
C  [libvclplug_genfi.so+0x21ba3]  _ZN11X11SalFrameC1EP8SalFramemP16SystemParentData+0x41f
C  [libvclplug_genfi.so+0x4a3cd]  _ZN10SalDisplay21DispatchInternalEventEv+0x8b
C  [libvclplug_gtkfi.so+0x1608e]  +0x3ce
C  [libglib-2.0.so.0+0x34621]  g_source_is_destroyed+0x71
C  [libglib-2.0.so.0+0x361d6]  g_main_context_dispatch+0x176
C  [libglib-2.0.so.0+0x39572]  g_main_context_check+0x7e2
C  [libglib-2.0.so.0+0x39af5]  g_main_context_iteration+0x65
C  [libvclplug_gtkfi.so+0x16153]  +0x493
C  [libvclplug_genfi.so+0x503d7]  _ZN14X11SalInstance5YieldEbb+0x2f
C  [libvclfi.so+0x91286]  _ZN11Application5YieldEb+0x5e
C  [libvclfi.so+0x9134f]  _ZN11Application7ExecuteEv+0x2b
C  [libsofficeapp.so+0x1a199]  +0x6a79
C  [libvclfi.so+0x95875]  _Z7InitVCLRKN3com3sun4star3uno9ReferenceINS1_4lang20XMultiServiceFactoryEEE+0x2f7
C  [libvclfi.so+0x95983]  _Z6SVMainv+0x2d
C  [libsofficeapp.so+0x41c2e]  soffice_main+0xaa
C  [soffice.bin+0xca4]  main+0x20
C  [soffice.bin+0xc19]  _start+0x89


---------------  P R O C E S S  ---------------

Java Threads: ( => current thread )
  0x08a07000 JavaThread "Thread-4" daemon [_thread_blocked, id=146899456]
  0x085c7800 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=140939008]
  0x085c7000 JavaThread "CompilerThread0" daemon [_thread_blocked, id=140938752]
  0x085c6800 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=140937984]
  0x085c5800 JavaThread "Finalizer" daemon [_thread_blocked, id=140938496]
  0x085c5000 JavaThread "Reference Handler" daemon [_thread_blocked, id=140938240]

Other Threads:
  0x085c4800 VMThread [id=140937728]
  0x08901800 WatcherThread [id=140939264]

VM state:not at safepoint (normal execution)

VM Mutex/Monitor currently owned by a thread: None

Heap
 def new generation   total 960K, used 604K [0x33f20000, 0x34020000, 0x34400000)
  eden space 896K,  60% used [0x33f20000, 0x33fa84f0, 0x34000000)
  from space 64K,  91% used [0x34010000, 0x3401eb48, 0x34020000)
  to   space 64K,   0% used [0x34000000, 0x34000000, 0x34010000)
 tenured generation   total 4096K, used 238K [0x34400000, 0x34800000, 0x37f20000)
   the space 4096K,   5% used [0x34400000, 0x3443b968, 0x3443ba00, 0x34800000)
 compacting perm gen  total 12288K, used 3086K [0x37f20000, 0x38b20000, 0x3bf20000)
   the space 12288K,  25% used [0x37f20000, 0x382238e0, 0x38223a00, 0x38b20000)
No shared spaces configured.

Dynamic libraries:
0x08048000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/soffice.bin
0x28087000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3
0x2823b000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsofficeapp.so
0x28295000 	/usr/local/lib/libX11.so.6
0x28382000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libstlport_gcc.so
0x283ff000 	/usr/lib/libstdc++.so.6
0x284f4000 	/lib/libm.so.5
0x28509000 	/lib/libgcc_s.so.1
0x28514000 	/lib/libthr.so.3
0x28527000 	/lib/libc.so.7
0x28629000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libcomphelp4gcc3.so
0x2871b000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libuno_cppuhelpergcc3.so.3
0x2879f000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libuno_cppu.so.3
0x287ce000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libi18nisolang1gcc3.so
0x287d4000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsfxfi.so
0x28ac1000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsvlfi.so
0x28b95000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsvtfi.so
0x28ed1000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libtkfi.so
0x29067000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libtlfi.so
0x290e9000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libucbhelper4gcc3.so
0x29147000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libutlfi.so
0x291ba000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libvclfi.so
0x294b8000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libvos3gcc3.so
0x294da000 	/usr/local/lib/libXau.so.6
0x294dd000 	/usr/local/lib/libXdmcp.so.6
0x294e2000 	/usr/lib/librpcsvc.so.4
0x294ea000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libuno_salhelpergcc3.so.3
0x294ee000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libfwefi.so
0x29577000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsbfi.so
0x296bc000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libxcrfi.so
0x29734000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsotfi.so
0x29783000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsaxfi.so
0x29789000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libjfi_g.so
0x29791000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libi18nutilgcc3.so
0x297a3000 	/usr/local/lib/libicuuc.so.38
0x298c1000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libjvmfwk.so.3
0x298d8000 	/lib/libz.so.4
0x298ea000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libbasegfxfi.so
0x29947000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libpspfi.so
0x29a1d000 	/usr/local/lib/libicule.so.38
0x29a50000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libjvmaccessgcc3.so.3
0x29a58000 	/usr/local/lib/libfreetype.so.9
0x29ac9000 	/usr/local/lib/libXext.so.6
0x29ad7000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libfwifi.so
0x29b08000 	/usr/local/lib/libicudata.so.38
0x2a5df000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libxml2.so.2.6.31
0x2a75e000 	/usr/local/openoffice.org-3.0.0/openoffice.org/basis3.0/program/libvclplug_gtkfi.so
0x2a7ad000 	/usr/local/lib/libgtk-x11-2.0.so.0
0x2ab1d000 	/usr/local/lib/libgdk-x11-2.0.so.0
0x2aba2000 	/usr/local/lib/libatk-1.0.so.0
0x2abbb000 	/usr/local/lib/libgdk_pixbuf-2.0.so.0
0x2abd3000 	/usr/local/lib/libpangocairo-1.0.so.0
0x2abdd000 	/usr/local/lib/libXrender.so.1
0x2abe5000 	/usr/local/lib/libXinerama.so.1
0x2abe8000 	/usr/local/lib/libXi.so.6
0x2abf0000 	/usr/local/lib/libXrandr.so.2
0x2abf7000 	/usr/local/lib/libXcursor.so.1
0x2ac00000 	/usr/local/lib/libXcomposite.so.1
0x2ac03000 	/usr/local/lib/libXdamage.so.1
0x2ac06000 	/usr/local/lib/libcairo.so.2
0x2ac67000 	/usr/local/lib/libpangoft2-1.0.so.0
0x2ac8f000 	/usr/local/lib/libpango-1.0.so.0
0x2accb000 	/usr/local/lib/libfontconfig.so.1
0x2acf4000 	/usr/local/lib/libXfixes.so.3
0x2acf9000 	/usr/local/lib/libgobject-2.0.so.0
0x2ad33000 	/usr/local/lib/libgmodule-2.0.so.0
0x2ad37000 	/usr/local/lib/libgthread-2.0.so.0
0x2ad3c000 	/usr/local/lib/libglib-2.0.so.0
0x2adeb000 	/usr/local/lib/libiconv.so.3
0x2aecb000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libvclplug_genfi.so
0x2af3d000 	/usr/local/lib/libpng.so.5
0x2af62000 	/usr/local/lib/libpixman-1.so.9
0x2af93000 	/usr/local/lib/libexpat.so.6
0x2afb3000 	/usr/local/lib/libintl.so.8
0x2afbc000 	/usr/local/lib/libicui18n.so.38
0x2b113000 	/usr/local/lib/libpcre.so.0
0x2b142000 	/usr/local/lib/libSM.so.6
0x2b14a000 	/usr/local/lib/libICE.so.6
0x2b1aa000 	/usr/local/lib/gtk-2.0/modules/libgnomebreakpad.so
0x2b1ad000 	/usr/lib/libelf.so.1
0x2b1cd000 	/usr/local/lib/libGL.so.1
0x2b26f000 	/usr/local/lib/libGLcore.so.1
0x2bec0000 	/usr/local/lib/libnvidia-tls.so.1
0x2bec2000 	/usr/local/lib/compat/libm.so.3
0x2bedd000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/libgcc3_uno.so
0x2beea000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/bootstrap.uno.so
0x2bf6b000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libreg.so.3
0x2bf88000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libstore.so.3
0x2cda7000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/libunsafe_uno_uno.so
0x2cdaa000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib/libuno_purpenvhelpergcc3.so.3
0x2cdf1000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/configmgr2.uno.so
0x2cf80000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/stocservices.uno.so
0x2cfc9000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/sysmgr1.uno.so
0x2cff6000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/desktopbe1.uno.so
0x2d003000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/gconfbe1.uno.so
0x2d011000 	/usr/local/lib/libgconf-2.so.4
0x2d042000 	/usr/local/lib/libORBit-2.so.0
0x2d0c4000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/sax.uno.so
0x2d10c000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/localebe1.uno.so
0x2d114000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/behelper.uno.so
0x2d140000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsplfi.so
0x2d29b000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libucb1.so
0x2d2cd000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/ucpgvfs1.uno.so
0x2d2e9000 	/usr/local/lib/libgnomevfs-2.so.0
0x2d342000 	/usr/local/lib/libxml2.so.5
0x2d465000 	/usr/local/lib/libdbus-glib-1.so.2
0x2d481000 	/usr/local/lib/libdbus-1.so.3
0x2d4c1000 	/usr/lib/libssl.so.5
0x2d502000 	/lib/libcrypto.so.5
0x2d65b000 	/lib/libutil.so.7
0x2d669000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libfwlfi.so
0x2d685000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libucpfile1.so
0x2d6f9000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libfwkfi.so
0x2d91e000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libfileacc.so
0x2d936000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libpackage2.so
0x2db97000 	/usr/local/lib/gtk-2.0/immodules/im-scim.so
0x2dbbd000 	/usr/local/lib/libscim-1.0.so.10
0x2dcac000 	/usr/local/lib/libscim-x11utils-1.0.so.10
0x2dcaf000 	/usr/local/lib/scim-1.0/1.4.0/Config/socket.so
0x2dcb7000 	/usr/local/lib/scim-1.0/1.4.0/IMEngine/socket.so
0x2e06f000 	/usr/local/lib/pango/1.6.0/modules/pango-basic-fc.so
0x2e4c0000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libdtransX11fi.so
0x2e55c000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/fsstorage.uno.so
0x2e69c000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/i18npool.uno.so
0x2e884000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsvxfi.so
0x2f2b6000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libavmediafi.so
0x2f2e1000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libxofi.so
0x2f5e5000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libgofi.so
0x2f644000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/liblngfi.so
0x2f6d1000 	/usr/local/lib/libcups.so.2
0x2f705000 	/usr/local/lib/libgnutls.so.26
0x2f7a0000 	/usr/local/lib/libtasn1.so.3
0x2f7b1000 	/usr/local/lib/libgcrypt.so.15
0x2e57e000 	/usr/local/lib/libgpg-error.so.0
0x2f819000 	/lib/libcrypt.so.4
0x2f832000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libucpchelp1.so
0x2f884000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libdb-4.2.so
0x2f93f000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libxslt.so.1.1.24
0x2f973000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/svtmisc.uno.so
0x2fad0000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libuuifi.so
0x2fcee000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libfilterconfig1.so
0x2fe0f000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libswfi.so
0x30737000 	/usr/local/openoffice.org-3.0.0/openoffice.org/basis3.0/program/liblocaledata_others.so
0x3080a000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/liblocaledata_en.so
0x3082b000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libunoxmlfi.so
0x308ed000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libxstor.so
0x30949000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libxoffi.so
0x30af9000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/reflection.uno.so
0x30b43000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libfrmfi.so
0x30d1b000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libdbtoolsfi.so
0x30e63000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/introspection.uno.so
0x30e8c000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libevtatt.so
0x3104a000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/deploymentfi.uno.so
0x310bb000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libdeploymentmiscfi.so
0x310d1000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libhelplinkerfi.so
0x31106000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/ucpexpand1.uno.so
0x312eb000 	/usr/local/openoffice.org-3.0.0/openoffice.org/basis3.0/program/libcollator_data.so
0x31506000 	/usr/local/openoffice.org-3.0.0/openoffice.org/basis3.0/program/libdict_ja.so
0x311ec000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/javaloader.uno.so
0x31618000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/javavm.uno.so
0x31631000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/streams.uno.so
0x31650000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/sunjavaplugin.so
0x31661000 	/usr/local/jdk1.6.0/jre/lib/i386/client/libjvm.so
0x31e46000 	/usr/local/jdk1.6.0/jre/lib/i386/native_threads/libhpi.so
0x31e58000 	/usr/local/jdk1.6.0/jre/lib/i386/libverify.so
0x31e65000 	/usr/local/jdk1.6.0/jre/lib/i386/libjava.so
0x31e8c000 	/usr/local/jdk1.6.0/jre/lib/i386/libzip.so
0x3c138000 	/usr/local/openoffice.org-3.0.0/openoffice.org/ure/lib/libjava_uno.so
0x3c1ea000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libucppkg1.so
0x3c66b000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/i18nsearch.uno.so
0x3c676000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libi18nregexpgcc3.so
0x3c72e000 	/usr/local/openoffice.org-3.0.0/openoffice.org/basis3.0/program/libcuifi.so
0x3c6a7000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libqstart_gtkfi.so
0x3c6ad000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libeggtrayfi.so
0x3c6b1000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/ldapbe2.uno.so
0x3c6d5000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libldap50.so
0x3c6fb000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/fpicker.uno.so
0x3c983000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/fps_office.uno.so
0x31496000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsrtrs1.so
0x3c6ff000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/passwordcontainer.uno.so
0x3c9ce000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libxmlsecurity.so
0x3ca0f000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libxmlsec1.so.1.2.6
0x3ca69000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libxsec_xmlsec.so
0x3ca97000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libxmlsec1-nss.so.1.2.6
0x3cac7000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libnss3.so
0x3cb45000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libnspr4.so
0x31476000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libplc4.so
0x3cb78000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsoftokn3.so
0x3cc05000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libsmime3.so
0x3147b000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libplds4.so
0x3c711000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libmozab2.so
0x3cc37000 	/usr/local/openoffice.org-3.0.0/openoffice.org/basis3.0/program/libmozabdrv2.so
0x3cca5000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libxpcom.so
0x3cd5d000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/components/libi18n.so
0x3cda0000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libmozjs.so
0x3ce1f000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/components/libpref.so
0x3ce31000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/libmozz.so
0x3ce3f000 	/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program/components/libnecko.so
0x2804a000 	/libexec/ld-elf.so.1

VM Arguments:
jvm_args: abort -Dorg.openoffice.native= -Dappletviewer.security.mode=host -Dstardiv.security.disableSecurity=false
java_command: <unknown>
Launcher Type: generic

Environment Variables:
JAVA_HOME=/usr/local/jdk1.6.0/jre
PATH=/usr/local/openoffice.org-3.0.0/openoffice.org3/program:/home/hashiz/bin:/usr/local/bin:/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
LD_LIBRARY_PATH=/usr/local/jdk1.6.0/jre/lib/i386/client:/usr/local/jdk1.6.0/jre/lib/i386/native_threads:/usr/local/jdk1.6.0/jre/lib/i386:/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/program:/usr/local/openoffice.org-3.0.0/openoffice.org3/program/../basis-link/ure-link/lib
SHELL=/bin/csh
DISPLAY=:0.0
HOSTTYPE=FreeBSD
OSTYPE=FreeBSD
MACHTYPE=i386

Signal Handlers:
SIGSEGV: [libjvm.so+0x35e970], sa_mask[0]=0xfffefeff, sa_flags=0x00000042
SIGBUS: [libjvm.so+0x35e970], sa_mask[0]=0xfffefeff, sa_flags=0x00000042
SIGFPE: SIG_IGN, sa_mask[0]=0x00000000, sa_flags=0x00000002
SIGPIPE: SIG_IGN, sa_mask[0]=0x00000000, sa_flags=0x00000000
SIGILL: [libjvm.so+0x2a4ba0], sa_mask[0]=0xfffefeff, sa_flags=0x00000042
SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000002
SIGUSR2: [libjvm.so+0x2a6be0], sa_mask[0]=0x00000000, sa_flags=0x00000042
SIGHUP: [libjvm.so+0x2a5c40], sa_mask[0]=0xfffefeff, sa_flags=0x00000042
SIGINT: [libjvm.so+0x2a5c40], sa_mask[0]=0xfffefeff, sa_flags=0x00000042
SIGQUIT: [libjvm.so+0x2a5c40], sa_mask[0]=0xfffefeff, sa_flags=0x00000042
SIGTERM: [libjvm.so+0x2a5c40], sa_mask[0]=0xfffefeff, sa_flags=0x00000042
SIGUSR2: [libjvm.so+0x2a6be0], sa_mask[0]=0x00000000, sa_flags=0x00000042


---------------  S Y S T E M  ---------------

OS:Bsd
uname:FreeBSD 7.1-PRERELEASE FreeBSD 7.1-PRERELEASE #5: Wed Oct 15 14:37:00 JST 2008     hashiz@stenmark.meridiani.jp:/usr/obj/usr/src/sys/STENMARK i386
rlimit: STACK 65536k, CORE 1048576k, NPROC 5547, NOFILE 22500
CPU:total 2 (2 cores per cpu, 1 threads per core) family 6 model 7 stepping 6, cmov, cx8, fxsr, mmx, sse, sse2, sse3, ssse3

Memory: 4k page, physical 1600888k(400222k free)

vm_info: Java HotSpot(TM) Client VM (1.6.0_03-p4-root_16_oct_2008_09_41-b00) for bsd-x86, built on Oct 16 2008 09:49:24 by "root" with gcc 4.2.1 20070719  [FreeBSD]

How-To-Repeat: 	start OOo
        chose menu 'Tools' - 'Option'
        chose 'Security'
        push 'macro security' button
Comment 1 Edwin Groothuis freebsd_committer 2008-10-17 21:19:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2009-05-31 00:07:26 UTC
State Changed
From-To: open->feedback

can't reproduct, is this present with 3.1.0 for you?
Comment 3 Maho Nakata freebsd_committer 2009-08-08 14:47:10 UTC
State Changed
From-To: feedback->closed

Do not reprodece, for maho@, too. 
No reply from the submitter over 2 months. 
Closing...